<?php
/*##################################################
 *                               admin_blog_config.php
 *                            -------------------
 *   begin                : June 08, 2009
 *   copyright            : (C) 2009 Swan
 *   email                : swan@chez-swan.net
 *
 *
 *
###################################################
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
####################################################
#                 Changelog                        #
#################################################### 
* 
*   Date                 : 27/08/2009
*   Auteur               : Swan | CsN
*   Email                : contact@chez-swan.net
*   Web                  : http://chez-swan.net/
*   Description          : modification du nom du module en module blog.

####################################################*/

require_once('../admin/admin_begin.php');
define('ALTERNATIVE_CSS', 'blog');
load_module_lang('blog'); //Chargement de la langue du module.
define('TITLE', $LANG['administration']);
require_once('../admin/admin_header.php');

//On recupre les variables.
$id = retrieve(GET, 'id', 0);
$id_post = retrieve(POST, 'id', 0);
$del = isset($_GET['delete']) ? true : false;

if (!empty($_POST['valid']) && !empty($id_post)) //inject
{
	$idcat = retrieve(POST, 'idcat', 0);
	$title = retrieve(POST, 'title', '');
	$contents = retrieve(POST, 'contents', '', TSTRING_PARSE);
	$extend_contents = retrieve(POST, 'extend_contents', '', TSTRING_PARSE);
	$img = retrieve(POST, 'img', '');
	$alt = retrieve(POST, 'alt', '');	
	
	//Gestion de la parution
	$get_visible = retrieve(POST, 'visible', 0);
	$start = retrieve(POST, 'start', 0, TSTRING_UNCHANGE);
	$start_hour = retrieve(POST, 'start_hour', 0, TSTRING_UNCHANGE);
	$start_min = retrieve(POST, 'start_min', 0, TSTRING_UNCHANGE);	
	$end = retrieve(POST, 'end', 0, TSTRING_UNCHANGE);
	$end_hour = retrieve(POST, 'end_hour', 0, TSTRING_UNCHANGE);
	$end_min = retrieve(POST, 'end_min', 0, TSTRING_UNCHANGE);
	
	//Date de la blog
	$current_date = retrieve(POST, 'current_date', '', TSTRING_UNCHANGE);
	$current_hour = retrieve(POST, 'current_hour', 0, TSTRING_UNCHANGE);
	$current_min = retrieve(POST, 'current_min', 0, TSTRING_UNCHANGE);
	
	//On met  jour 
	if (!empty($idcat) && !empty($title) && !empty($contents) && isset($get_visible))
	{
		$start_timestamp = !empty($start) ? strtotimestamp($start, $LANG['date_format_short']) + ($start_hour * 3600) + ($start_min * 60) : 0;
		$end_timestamp = !empty($end) ? strtotimestamp($end, $LANG['date_format_short']) + ($end_hour * 3600) + ($end_min * 60) : 0;
		
		$visible = 1;		
		if ($get_visible == 2)
		{		
			if ($start_timestamp < time() || $start_timestamp < 0) //Date infrieur  celle courante => inutile.
				$start_timestamp = 0;

			if ($end_timestamp < time() || ($end_timestamp < $start_timestamp && $start_timestamp != 0)) //Date infrieur  celle courante => inutile.
				$end_timestamp = 0;
		}
		elseif ($get_visible == 1)
			list($start_timestamp, $end_timestamp) = array(0, 0);
		else
			list($visible, $start_timestamp, $end_timestamp) = array(0, 0, 0);
			
		$timestamp = strtotimestamp($current_date, $LANG['date_format_short']);
		if ($timestamp > 0)
		{
			//Ajout des heures et minutes
			$timestamp += ($current_hour * 3600) + ($current_min * 60);
			$timestamp = ' , timestamp = \'' . $timestamp . '\'';
		}
		else //Ajout des heures et minutes
			$timestamp = ' , timestamp = \'' . time() . '\'';

		$Sql->query_inject("UPDATE " . PREFIX . "blog SET idcat = '" . $idcat . "', title = '" . $title . "', contents = '" . $contents . "', extend_contents = '" . $extend_contents . "', img = '" . $img . "', alt = '" . $alt . "', visible = '" . $visible . "', start = '" .  $start_timestamp . "', end = '" . $end_timestamp . "'" . $timestamp . " 
		WHERE id = '" . $id_post . "'", __LINE__, __FILE__);	
        
        // Feeds Regeneration
        import('content/syndication/feed');
        Feed::clear_cache('blog');
		
		//Mise  jour du nombre de blog dans le cache de la configuration.
		$Cache->load('blog'); //Requte des configuration gnrales (blog), $CONFIG_blog variable globale.
		$CONFIG_blog['nbr_blog'] = $Sql->query("SELECT COUNT(*) FROM " . PREFIX . "blog WHERE visible = 1", __LINE__, __FILE__);
		$Sql->query_inject("UPDATE " . DB_TABLE_CONFIGS . " SET value = '" . addslashes(serialize($CONFIG_blog)) . "' WHERE name = 'blog'", __LINE__, __FILE__);
				
		###### Rgnration du cache des blog #######
		$Cache->Generate_module_file('blog');
		
		redirect(HOST . SCRIPT);
	}
	else
		redirect(HOST . DIR . '/blog/admin_blog.php?id= ' . $id_post . '&error=incomplete#errorh');
}
elseif ($del && !empty($id)) //Suppression de la blog.
{
	$Session->csrf_get_protect(); //Protection csrf
	
	//On supprime dans la bdd.
	$Sql->query_inject("DELETE FROM " . PREFIX . "blog WHERE id = '" . $id . "'", __LINE__, __FILE__);	

	//On supprimes les ventuels commentaires associs.
	$Sql->query_inject("DELETE FROM " . DB_TABLE_COM . " WHERE idprov = '" . $id . "' AND script = 'blog'", __LINE__, __FILE__);

    // Feeds Regeneration
    import('content/syndication/feed');
    Feed::clear_cache('blog');
	
	//Mise  jour du nombre de blog dans le cache de la configuration.
	$Cache->load('blog'); //Requte des configuration gnrales (blog), $CONFIG_blog variable globale.
	$CONFIG_blog['nbr_blog'] = $Sql->query("SELECT COUNT(*) AS nbr_blog FROM " . PREFIX . "blog WHERE visible = 1", __LINE__, __FILE__);
	$Sql->query_inject("UPDATE " . DB_TABLE_CONFIGS . " SET value = '" . addslashes(serialize($CONFIG_blog)) . "' WHERE name = 'blog'", __LINE__, __FILE__);
		
	$Cache->Generate_module_file('blog');	
		
	redirect(HOST . SCRIPT);
}
elseif (!empty($id)) //Vue de la blog
{			
	$Template->set_filenames(array(
		'admin_blog_management'=> 'blog/admin_blog_management.tpl'
	));

	$row = $Sql->query_array(PREFIX . 'blog', '*', "WHERE id = '" . $id . "'", __LINE__, __FILE__);

	$Template->assign_block_vars('blog', array(
		'TOKEN' => $Session->get_token(),
		'TITLE' => $row['title'],
		'IDblog' => $row['id'],
		'CONTENTS' => unparse($row['contents']),
		'EXTEND_CONTENTS' => unparse($row['extend_contents']),
		'CURRENT_DATE' => gmdate_format('date_format_short', $row['timestamp']),
		'DAY_RELEASE_S' => !empty($row['start']) ? gmdate_format('d', $row['start']) : '',
		'MONTH_RELEASE_S' => !empty($row['start']) ? gmdate_format('m', $row['start']) : '',
		'YEAR_RELEASE_S' => !empty($row['start']) ? gmdate_format('Y', $row['start']) : '',
		'DAY_RELEASE_E' => !empty($row['end']) ? gmdate_format('d', $row['end']) : '',
		'MONTH_RELEASE_E' => !empty($row['end']) ? gmdate_format('m', $row['end']) : '',
		'YEAR_RELEASE_E' => !empty($row['end']) ? gmdate_format('Y', $row['end']) : '',
		'DAY_DATE' => !empty($row['timestamp']) ? gmdate_format('d', $row['timestamp']) : '',
		'MONTH_DATE' => !empty($row['timestamp']) ? gmdate_format('m', $row['timestamp']) : '',
		'YEAR_DATE' => !empty($row['timestamp']) ? gmdate_format('Y', $row['timestamp']) : '',
		'USER_ID' => $row['user_id'],
		'VISIBLE_WAITING' => (($row['visible'] == 1 || !empty($row['start']) || !empty($row['end'])) ? 'checked="checked"' : ''),
		'VISIBLE_ENABLED' => (($row['visible'] == 1 && empty($row['start']) && empty($row['end'])) ? 'checked="checked"' : ''),
		'VISIBLE_UNAPROB' => (($row['visible'] == 0) ? 'checked="checked"' : ''),
		'START' => (!empty($row['start'])) ? gmdate_format('date_format_short', $row['start']) : '',
		'START_HOUR' => gmdate_format('H', $row['start']),
		'START_MIN' => gmdate_format('i', $row['start']),
		'END' => (!empty($row['end'])) ? gmdate_format('date_format_short', $row['end']) : '',
		'END_HOUR' => gmdate_format('H', $row['end']),
		'END_MIN' => gmdate_format('i', $row['end']),
		'CURRENT_DATE' => (!empty($row['timestamp'])) ? gmdate_format('date_format_short', $row['timestamp']) : '',
		'CURRENT_HOUR' => gmdate_format('H', $row['timestamp']),
		'CURRENT_MIN' => gmdate_format('i', $row['timestamp']),
		'IMG_PREVIEW' => !empty($row['img']) ? '<img src="' . $row['img'] . '" alt="" />': $LANG['no_img'],
		'IMG' => $row['img'],
		'ALT' => $row['alt']
	));
	
	$Template->assign_vars(array(
		'KERNEL_EDITOR' => display_editor(),
		'KERNEL_EDITOR_EXTEND' => display_editor('extend_contents'),
		'L_UNTIL' => $LANG['until'],
		'L_REQUIRE_TITLE' => $LANG['require_title'],
		'L_REQUIRE_TEXT' => $LANG['require_text'],
		'L_REQUIRE_CAT' => $LANG['require_cat'],
		'L_blog_MANAGEMENT' => $LANG['blog_management'],
		'L_ADD_blog' => $LANG['add_blog'],
		'L_CONFIG_blog' => $LANG['configuration_blog'],
		'L_CAT_blog' => $LANG['category_blog'],
		'L_PREVIEW' => $LANG['preview'],		
		'L_EDIT_blog' => $LANG['edit_blog'],
		'L_REQUIRE' => $LANG['require'],
		'L_TITLE' => $LANG['title'],
		'L_CATEGORY' => $LANG['category'],
		'L_TEXT' => $LANG['content'],
		'L_EXTENDED_blog' => $LANG['extended_blog'],
		'L_RELEASE_DATE' => $LANG['release_date'],
		'L_IMMEDIATE' => $LANG['immediate'],
		'L_UNAPROB' => $LANG['unaprob'],
		'L_blog_DATE' => $LANG['blog_date'],
		'L_YES' => $LANG['yes'],
		'L_NO' => $LANG['no'],
		'L_UNIT_HOUR' => $LANG['unit_hour'],
		'L_AT' => $LANG['at'],
		'L_IMG_MANAGEMENT' => $LANG['img_management'],
		'L_PREVIEW_IMG' => $LANG['preview_image'],
		'L_PREVIEW_IMG_EXPLAIN' => $LANG['preview_image_explain'],
		'L_BB_UPLOAD' => $LANG['bb_upload'],
		'L_IMG_LINK' => $LANG['img_link'],
		'L_IMG_DESC' => $LANG['img_desc'],
		'L_UPDATE' => $LANG['update'],
		'L_RESET' => $LANG['reset']
	));

	//Catgories.	
	$i = 0;
	$idcat = $row['idcat'];
	$result = $Sql->query_while("SELECT id, name 
	FROM " . PREFIX . "blog_cat", __LINE__, __FILE__);
	while ($row = $Sql->fetch_assoc($result))
	{
		$selected = ($row['id'] == $idcat) ? 'selected="selected"' : '';
		$Template->assign_block_vars('blog.select', array(
			'CAT' => '<option value="' . $row['id'] . '" ' . $selected . '>' . $row['name'] . '</option>'
		));
		$i++;
	}	
	$Sql->query_close($result);
	
	//Gestion erreur.
	$get_error = retrieve(GET, 'error', '');
	if ($get_error == 'incomplete')
		$Errorh->handler($LANG['e_incomplete'], E_USER_NOTICE);
	elseif ($i == 0) //Aucune catgorie => alerte.	 
        $Errorh->handler($LANG['require_cat_create'], E_USER_WARNING);
	
	$Template->pparse('admin_blog_management');
}
elseif (!empty($_POST['previs']) && !empty($id_post)) //Prvisualisation de la blog.
{
	$Template->set_filenames(array(
		'admin_blog_management'=> 'blog/admin_blog_management.tpl'
	));

	$title = stripslashes(retrieve(POST, 'title', '', TSTRING));
	$idcat = retrieve(POST, 'idcat', 0);
	$contents = retrieve(POST, 'contents', '', TSTRING_PARSE);
	$extend_contents = retrieve(POST, 'extend_contents', '', TSTRING_PARSE);
	$user_id = retrieve(POST, 'user_id', '');
	$img = retrieve(POST, 'img', '', TSTRING_UNCHANGE);
	$alt = retrieve(POST, 'alt', '', TSTRING_UNCHANGE);
	
	//Gestion de la parution
	$get_visible = retrieve(POST, 'visible', 0);
	$start = retrieve(POST, 'start', 0, TSTRING_UNCHANGE);
	$start_hour = retrieve(POST, 'start_hour', 0, TSTRING_UNCHANGE);
	$start_min = retrieve(POST, 'start_min', 0, TSTRING_UNCHANGE);	
	$end = retrieve(POST, 'end', 0, TSTRING_UNCHANGE);
	$end_hour = retrieve(POST, 'end_hour', 0, TSTRING_UNCHANGE);
	$end_min = retrieve(POST, 'end_min', 0, TSTRING_UNCHANGE);
	
	//Date de la blog
	$current_date = retrieve(POST, 'current_date', '', TSTRING_UNCHANGE);
	$current_hour = retrieve(POST, 'current_hour', 0, TSTRING_UNCHANGE);
	$current_min = retrieve(POST, 'current_min', 0, TSTRING_UNCHANGE);

	$start_timestamp = strtotimestamp($start, $LANG['date_format_short']);
	$end_timestamp = strtotimestamp($end, $LANG['date_format_short']);
	$current_date_timestamp = strtotimestamp($current_date, $LANG['date_format_short']);
	
	$Template->assign_block_vars('blog', array(
		'THEME' => get_utheme(),
		'IDblog' => $id_post,
		'TITLE' => $title,
		'CONTENTS' => retrieve(POST, 'contents', '', TSTRING_UNCHANGE),
	    'EXTEND_CONTENTS' => retrieve(POST, 'extend_contents', '', TSTRING_UNCHANGE),
		'USER_ID' => $user_id,
		'IMG' => stripslashes($img),
		'ALT' => stripslashes($alt),
		'START' => $start,
		'START_HOUR' => !empty($start_hour) ? $start_hour : '',
		'START_MIN' => !empty($start_min) ? $start_min : '',
		'END' => $end,
		'END_HOUR' => !empty($end_hour) ? $end_hour : '',
		'END_MIN' => !empty($end_min) ? $end_min : '',
		'CURRENT_DATE' => $current_date,
		'CURRENT_HOUR' => !empty($current_hour) ? $current_hour : '',
		'CURRENT_MIN' => !empty($current_min) ? $current_min : '',
		'DAY_RELEASE_S' => !empty($start_timestamp) ? gmdate_format('d', $start_timestamp) : '',
		'MONTH_RELEASE_S' => !empty($start_timestamp) ? gmdate_format('m', $start_timestamp) : '',
		'YEAR_RELEASE_S' => !empty($start_timestamp) ? gmdate_format('Y', $start_timestamp) : '',
		'DAY_RELEASE_E' => !empty($end_timestamp) ? gmdate_format('d', $end_timestamp) : '',
		'MONTH_RELEASE_E' => !empty($end_timestamp) ? gmdate_format('m', $end_timestamp) : '',
		'YEAR_RELEASE_E' => !empty($end_timestamp) ? gmdate_format('Y', $end_timestamp) : '',
		'DAY_DATE' => !empty($current_date_timestamp) ? gmdate_format('d', $current_date_timestamp) : '',
		'MONTH_DATE' => !empty($current_date_timestamp) ? gmdate_format('m', $current_date_timestamp) : '',
		'YEAR_DATE' => !empty($current_date_timestamp) ? gmdate_format('Y', $current_date_timestamp) : '',
		'VISIBLE_WAITING' => (($get_visible == 2) ? 'checked="checked"' : ''),
		'VISIBLE_ENABLED' => (($get_visible == 1) ? 'checked="checked"' : ''),
		'VISIBLE_UNAPROB' => (($get_visible == 0) ? 'checked="checked"' : '')
	));
	
	//Catgories.	
	$i = 0;
	$result = $Sql->query_while("SELECT id, name 
	FROM " . PREFIX . "blog_cat", __LINE__, __FILE__);
	while ($row = $Sql->fetch_assoc($result))
	{
		$selected = ($row['id'] == $idcat) ? 'selected="selected"' : '';
		$Template->assign_block_vars('blog.select', array(
			'CAT' => '<option value="' . $row['id'] . '" ' . $selected . '>' . $row['name'] . '</option>'
		));
		$i++;
	}	
	$Sql->query_close($result);
	
	if ($i == 0) //Aucune catgorie => alerte.	 
		$Errorh->handler($LANG['require_cat_create'], E_USER_WARNING);	
		
	$Template->assign_block_vars('blog.preview', array(
		'THEME' => get_utheme(),
		'TITLE' => $title,
		'CONTENTS' => second_parse(stripslashes($contents)),
		'EXTEND_CONTENTS' => second_parse(stripslashes($extend_contents)),
		'PSEUDO' => $Sql->query("SELECT login FROM " . DB_TABLE_MEMBER . " WHERE user_id = '" . $user_id . "'", __LINE__, __FILE__),
		'USER_ID' => $user_id,
		'IMG_PREVIEW' => !empty($img) ? '<img src="' . $img . '" alt="" />': $LANG['no_img'],
		'IMG' => !empty($img) ? '<img src="' . stripslashes($img) . '" alt="" class="img_right" />' : '',
		'DATE' => gmdate_format('date_format_short')
	));

	$Template->assign_vars(array(		
		'TOKEN' => $Session->get_token(),
		'KERNEL_EDITOR' => display_editor(),
		'KERNEL_EDITOR_EXTEND' => display_editor('extend_contents'),
		'L_UNTIL' => $LANG['until'],
		'L_REQUIRE_TITLE' => $LANG['require_title'],
		'L_REQUIRE_TEXT' => $LANG['require_text'],
		'L_REQUIRE_CAT' => $LANG['require_cat'],
		'L_PREVIEW' => $LANG['preview'],		
		'L_COM' => $LANG['com'],
		'L_ON' => $LANG['on'],
		'L_EDIT_blog' => $LANG['edit_blog'],
		'L_REQUIRE' => $LANG['require'],
		'L_blog_MANAGEMENT' => $LANG['blog_management'],
		'L_ADD_blog' => $LANG['add_blog'],
		'L_CONFIG_blog' => $LANG['configuration_blog'],
		'L_CAT_blog' => $LANG['category_blog'],
		'L_TITLE' => $LANG['title'],
		'L_CATEGORY' => $LANG['category'],
		'L_TEXT' => $LANG['content'],
		'L_EXTENDED_blog' => $LANG['extended_blog'],
		'L_RELEASE_DATE' => $LANG['release_date'],
		'L_IMMEDIATE' => $LANG['immediate'],
		'L_UNAPROB' => $LANG['unaprob'],
		'L_blog_DATE' => $LANG['blog_date'],
		'L_UNIT_HOUR' => $LANG['unit_hour'],
		'L_AT' => $LANG['at'],
		'L_YES' => $LANG['yes'],
		'L_NO' => $LANG['no'],
		'L_IMG_MANAGEMENT' => $LANG['img_management'],
		'L_PREVIEW_IMG' => $LANG['preview_image'],
		'L_PREVIEW_IMG_EXPLAIN' => $LANG['preview_image_explain'],
		'L_BB_UPLOAD' => $LANG['bb_upload'],
		'L_IMG_LINK' => $LANG['img_link'],
		'L_IMG_DESC' => $LANG['img_desc'],
		'L_UPDATE' => $LANG['update'],
		'L_RESET' => $LANG['reset']
	));	
	
	$Template->pparse('admin_blog_management');    
}
else
{
	$Template->set_filenames(array(
		'admin_blog_management'=> 'blog/admin_blog_management.tpl'
	));
	
	$nbr_blog = $Sql->count_table('blog', __LINE__, __FILE__);
	//On cre une pagination si le nombre de blog est trop important.
	import('util/pagination'); 
	$Pagination = new Pagination();
	
	$Template->assign_vars(array(
		'TOKEN' => $Session->get_token(),
		'PAGINATION' => $Pagination->display('admin_blog.php?p=%d', $nbr_blog, 'p', 25, 3),
		'LANG' => get_ulang(),
		'THEME' => get_utheme(),
		'L_CONFIRM_DEL_blog' => $LANG['confirm_del_blog'],
		'L_blog_MANAGEMENT' => $LANG['blog_management'],
		'L_ADD_blog' => $LANG['add_blog'],
		'L_CONFIG_blog' => $LANG['configuration_blog'],
		'L_CAT_blog' => $LANG['category_blog'],
		'L_CATEGORY' => $LANG['category'],
		'L_TITLE' => $LANG['title'],
		'L_PSEUDO' => $LANG['pseudo'],
		'L_DATE' => $LANG['date'],
		'L_APROB' => $LANG['aprob'],
		'L_UPDATE' => $LANG['update'],
		'L_DELETE' => $LANG['delete']
	));

	$Template->assign_block_vars('list', array(
	));
	
	$result = $Sql->query_while("SELECT nc.name, n.id, n.title, n.timestamp, n.visible, n.start, n.end, m.login 
	FROM " . PREFIX . "blog n
	LEFT JOIN " . PREFIX . "blog_cat nc ON nc.id = n.idcat
	LEFT JOIN " . DB_TABLE_MEMBER . " m ON m.user_id = n.user_id
	ORDER BY n.timestamp DESC 
	" . $Sql->limit($Pagination->get_first_msg(25, 'p'), 25), __LINE__, __FILE__);
	while ($row = $Sql->fetch_assoc($result))
	{
		if ($row['visible'] && $row['start'] > time())
			$aprob = $LANG['waiting'];
		elseif ($row['visible'] && $row['start'] < time() && ($row['end'] > time() || empty($row['end'])))
			$aprob = $LANG['yes'];
		else
			$aprob = $LANG['no'];

		//On reccourci le lien si il est trop long pour viter de dformer l'administration.
		$title = html_entity_decode($row['title']);
		$title = strlen($title) > 45 ? substr($title, 0, 45) . '...' : $title;

		$visible = '';
		if ($row['start'] > 0)
			$visible .= gmdate_format('date_format', $row['start']);
		if ($row['end'] > 0 && $row['start'] > 0)
			$visible .= ' ' . strtolower($LANG['until']) . ' ' . gmdate_format('date_format', $row['end']);
		elseif ($row['end'] > 0)
			$visible .= $LANG['until'] . ' ' . gmdate_format('date_format', $row['end']);

		$Template->assign_block_vars('list.blog', array(
			'TITLE' => $title,
			'PSEUDO' => !empty($row['login']) ? $row['login'] : $LANG['guest'],		
			'IDblog' => $row['id'],
			'CATEGORY' => $row['name'],
			'DATE' => gmdate_format('date_format_short', $row['timestamp']),
			'APROBATION' => $aprob,
			'VISIBLE' => ((!empty($visible)) ? '(' . $visible . ')' : '')
		));
	}
	$Sql->query_close($result);
	
	$Template->pparse('admin_blog_management');
}

require_once('../admin/admin_footer.php');


?>