<?php
/*##################################################
 *                               admin_blog_config.php
 *                            -------------------
 *   begin                : June 08, 2009
 *   copyright          : (C) 2009 Swan
 *   email                : swan@chez-swan.net
 *
 *  
 *
###################################################
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
####################################################
#                 Changelog                        #
#################################################### 
* 
*   Date                 : 27/08/2009
*   Auteur               : Swan | CsN
*   Email                : contact@chez-swan.net
*   Web                  : http://chez-swan.net/
*   Description          : modification du nom du module en module blog.

####################################################*/

require_once('../admin/admin_begin.php');
load_module_lang('blog'); //Chargement de la langue du module.
define('TITLE', $LANG['administration']);
require_once('../admin/admin_header.php');

if (!empty($_POST['valid']))
{
	$config_blog = array();
	$config_blog['type'] = retrieve(POST, 'type', 0);
	$config_blog['activ_pagin'] = retrieve(POST, 'activ_pagin', 0);
	$config_blog['activ_edito'] = retrieve(POST, 'activ_edito', 0);
	$config_blog['pagination_blog'] = retrieve(POST, 'pagination_blog', 6);
	$config_blog['pagination_arch'] = retrieve(POST, 'pagination_arch', 15);
	$config_blog['activ_com'] = retrieve(POST, 'activ_com', 0);  
	$config_blog['activ_icon'] = retrieve(POST, 'activ_icon', 0);  
	$config_blog['display_author'] = retrieve(POST, 'display_author', 0);  
	$config_blog['display_date'] = retrieve(POST, 'display_date', 0);  
	$config_blog['nbr_blog'] = $Sql->query("SELECT COUNT(*) FROM " . PREFIX . "blog WHERE visible = 1", __LINE__, __FILE__);
	$config_blog['nbr_column'] = retrieve(POST, 'nbr_column', 1);
	$config_blog['edito'] = stripslashes(retrieve(POST, 'edito', '', TSTRING_PARSE));
	$config_blog['edito_title'] = stripslashes(retrieve(POST, 'edito_title', ''));
		
	$Sql->query_inject("UPDATE " . DB_TABLE_CONFIGS . " SET value = '" . addslashes(serialize($config_blog)) . "' WHERE name = 'blog'", __LINE__, __FILE__);
	
	###### Rgnration du cache des blog #######
	$Cache->Generate_module_file('blog');
	
	redirect(HOST . SCRIPT);	
}
//Sinon on rempli le formulaire
else	
{		
	$Template->set_filenames(array(
		'admin_blog_config'=> 'blog/admin_blog_config.tpl'
	));
	
	$Cache->load('blog');
	
	$CONFIG_blog['pagination_blog'] = isset($CONFIG_blog['pagination_blog']) ? $CONFIG_blog['pagination_blog'] : 6;
	$CONFIG_blog['pagination_arch'] = isset($CONFIG_blog['pagination_arch']) ? $CONFIG_blog['pagination_arch'] : 15;
	$CONFIG_blog['edito_title'] = isset($CONFIG_blog['edito_title']) ? $CONFIG_blog['edito_title'] : '';
	$CONFIG_blog['edito'] = isset($CONFIG_blog['edito']) ? $CONFIG_blog['edito'] : '';
	$CONFIG_blog['type'] = isset($CONFIG_blog['type']) ? $CONFIG_blog['type'] : 0;
	$CONFIG_blog['activ_pagin'] = isset($CONFIG_blog['activ_pagin']) ? $CONFIG_blog['activ_pagin'] : 0;
	$CONFIG_blog['nbr_column'] = isset($CONFIG_blog['nbr_column']) ? $CONFIG_blog['nbr_column'] : 1;
	$CONFIG_blog['activ_edito'] = isset($CONFIG_blog['activ_edito']) ? $CONFIG_blog['activ_edito'] : 0;
	$CONFIG_blog['activ_com'] = isset($CONFIG_blog['activ_com']) ? $CONFIG_blog['activ_com'] : 1;
	$CONFIG_blog['activ_icon'] = isset($CONFIG_blog['activ_icon']) ? $CONFIG_blog['activ_icon'] : 0;
	$CONFIG_blog['display_author'] = isset($CONFIG_blog['display_author']) ? $CONFIG_blog['display_author'] : 1;
	$CONFIG_blog['display_date'] = isset($CONFIG_blog['display_date']) ? $CONFIG_blog['display_date'] : 1;
	
	$Template->assign_vars(array(
		'KERNEL_EDITOR' => display_editor(),
		'PAGINATION' => !empty($CONFIG_blog['pagination_blog']) ? $CONFIG_blog['pagination_blog'] : '6',
		'PAGINATION_ARCH' => !empty($CONFIG_blog['pagination_arch']) ? numeric($CONFIG_blog['pagination_arch']) : '15',
		'TITLE' => !empty($CONFIG_blog['edito_title']) ? $CONFIG_blog['edito_title'] : '',
		'CONTENTS' => !empty($CONFIG_blog['edito']) ? unparse($CONFIG_blog['edito']) : '',
		'BLOCK_ENABLED' => ($CONFIG_blog['type'] == '1') ? 'checked="checked"' : '',
		'BLOCK_DISABLED' => ($CONFIG_blog['type'] == '0') ? 'checked="checked"' : '',
		'PAGIN_ENABLED' => ($CONFIG_blog['activ_pagin'] == '1') ? 'checked="checked"' : '',
		'PAGIN_DISABLED' => ($CONFIG_blog['activ_pagin'] == '0') ? 'checked="checked"' : '',
		'NBR_COLUMN' => !empty($CONFIG_blog['nbr_column']) ? $CONFIG_blog['nbr_column'] : '1',
		'EDITO_ENABLED' => ($CONFIG_blog['activ_edito'] == '1') ? 'checked="checked"' : '',
		'EDITO_DISABLED' => ($CONFIG_blog['activ_edito'] == '0') ? 'checked="checked"' : '',
		'COM_ENABLED' => ($CONFIG_blog['activ_com'] == '1') ? 'checked="checked"' : '',
		'COM_DISABLED' => ($CONFIG_blog['activ_com'] == '0') ? 'checked="checked"' : '',
		'ICON_ENABLED' => ($CONFIG_blog['activ_icon'] == '1') ? 'checked="checked"' : '',
		'ICON_DISABLED' => ($CONFIG_blog['activ_icon'] == '0') ? 'checked="checked"' : '',
		'AUTHOR_ENABLED' => ($CONFIG_blog['display_author'] == '1') ? 'checked="checked"' : '',
		'AUTHOR_DISABLED' => ($CONFIG_blog['display_author'] == '0') ? 'checked="checked"' : '',
		'DATE_ENABLED' => ($CONFIG_blog['display_date'] == '1') ? 'checked="checked"' : '',
		'DATE_DISABLED' => ($CONFIG_blog['display_date'] == '0') ? 'checked="checked"' : '',
		'L_REQUIRE_TITLE' => $LANG['require_title'],
		'L_REQUIRE_TEXT' => $LANG['require_text'],
		'L_REQUIRE' => $LANG['require'],
		'L_blog_MANAGEMENT' => $LANG['blog_management'],
		'L_ADD_blog' => $LANG['add_blog'],
		'L_CONFIG_blog' => $LANG['configuration_blog'],
		'L_CAT_blog' => $LANG['category_blog'],
		'L_TITLE' => $LANG['title'],
		'L_TEXT' => $LANG['content'],
		'L_YES' => $LANG['yes'],
		'L_NO' => $LANG['no'],
		'L_APROB' => $LANG['aprob'],
		'L_UNAPROB' => $LANG['unaprob'],
		'L_SUBMIT' => $LANG['submit'],
		'L_UPDATE' => $LANG['update'],
		'L_PREVIEW' => $LANG['preview'],
		'L_RESET' => $LANG['reset'],
		'L_EDITO_WHERE' => $LANG['edito_where'],
		'L_CONFIG_blog' => $LANG['config_blog'],
		'L_NBR_blog_P' => $LANG['nbr_blog_p'],
		'L_NBR_blog_P_EXPLAIN' => $LANG['nbr_blog_p_explain'],
		'L_NBR_COLUMN_MAX' => $LANG['nbr_blog_column'],
		'L_NBR_ARCH_P' => $LANG['nbr_arch_p'],
		'L_NBR_ARCH_P_EXPLAIN' => $LANG['nbr_arch_p_explain'],
		'L_MODULE_MANAGEMENT' => $LANG['module_management'],
		'L_ACTIV_PAGINATION' => $LANG['activ_pagination'],
		'L_ACTIV_PAGINATION_EXPLAIN' => $LANG['activ_pagination_explain'],
		'L_ACTIV_EDITO' => $LANG['activ_edito'],
		'L_ACTIV_EDITO_EXPLAIN' => $LANG['activ_edito_explain'],
		'L_ACTIV_blog_BLOCK' => $LANG['activ_blog_block'],
		'L_ACTIV_COM_blog' => $LANG['activ_com_n'],
		'L_ACTIV_ICON_blog' => $LANG['activ_icon_n'],
		'L_DISPLAY_blog_AUTHOR' => $LANG['display_blog_author'],
		'L_DISPLAY_blog_DATE' => $LANG['display_blog_date']
	));
	
	$Template->pparse('admin_blog_config'); // traitement du modele	
}

require_once('../admin/admin_footer.php');

?>