<?php
/*##################################################
 *                              blog_begin.php
 *                            -------------------
 *   begin                : June 08, 2009
 *   copyright            : (C) 2009 Swan
 *   email                : swan@chez-swan.net
 *
 *
###################################################
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
###################################################*/

if (defined('PHPBOOST') !== true)
	exit;
	
load_module_lang('blog'); //Chargement de la langue du module.

$idblog = retrieve(GET, 'id', 0);
$idcat = retrieve(GET, 'cat', 0);
$show_archive = retrieve(GET, 'arch', false);

if (!empty($idblog) && empty($idcat))
{
	$result = $Sql->query_while("SELECT n.contents, n.extend_contents, n.title, n.id, n.archive, n.timestamp, n.user_id, n.img, n.alt, n.nbr_com, nc.id AS idcat, nc.icon, m.login
	FROM " . PREFIX . "blog n
	LEFT JOIN " . PREFIX . "blog_cat nc ON nc.id = n.idcat
	LEFT JOIN " . DB_TABLE_MEMBER . " m ON m.user_id = n.user_id
	WHERE n.visible = 1 AND n.id = '" . $idblog . "'", __LINE__, __FILE__);
	$blog = $Sql->fetch_assoc($result);
	
	define('TITLE', $LANG['title_blog'] . ' - ' . addslashes($blog['title']));
}
else
{
    if (!defined('TITLE'))
        define('TITLE', $LANG['title_blog']);
}

$blog_title = !empty($idblog) ? $blog['title'] : '';
$Bread_crumb->add($LANG['title_blog'], url('blog.php'));
$show_archive ? $Bread_crumb->add($LANG['archive'], url('blog.php?arch=1')) : '';
$Bread_crumb->add($blog_title, (!empty($_GET['i']) ? url('blog.php?id=' . $idblog) : ''));
$Bread_crumb->add((isset($_GET['i']) ? $LANG['com'] : ''), '');

//Chargement du cache
$Cache->load('blog');
//Css alternatif.
defined('ALTERNATIVE_CSS') or define('ALTERNATIVE_CSS', 'blog');
define('FEED_URL', '/syndication.php?m=blog');

		// modification des metatags
		global $CONFIG ;
		$CONFIG['site_desc'] = 'La partie tranche de vie du site vue par swan - ' ; 

?>
